## org.apache.hadoop.log
Class EventCounter

    java.lang.Object
      org.apache.log4j.AppenderSkeleton
          org.apache.hadoop.log.metrics.EventCounter
              org.apache.hadoop.log.EventCounter

All Implemented Interfaces:
  org.apache.log4j.Appender, org.apache.log4j.spi.OptionHandler

Deprecated. use `EventCounter` instead

    @Deprecated
    public class EventCounter

extends EventCounter

A log4J Appender that simply counts logging events in three levels: fatal, error and warn. The class name is used in log4j.properties

Field Summary

Fields inherited from class org.apache.log4j.AppenderSkeleton
`closed, errorHandler, headFilter, layout, name, tailFilter, threshold`

Constructor Summary
`EventCounter()` Deprecated.

Method Summary

Methods inherited from class org.apache.hadoop.log.metrics.EventCounter
`append, close, getError, getFatal, getInfo, getWarn, requiresLayout`

Methods inherited from class org.apache.log4j.AppenderSkeleton
`activateOptions, addFilter, clearFilters, doAppend, finalize, getErrorHandler, getFilter, getFirstFilter, getLayout, getName, getThreshold, isAsSevereAsThreshold, setErrorHandler, setLayout, setName, setThreshold`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventCounter

    public EventCounter()

  Deprecated.

Copyright © 2009 The Apache Software Foundation